Subject: Re: Problem w/ cron
From: Jeremy A Redburn <[email-masked]>
To: "Pierre A. Humblet" <[email-masked]>
Cc: [email-masked]
Date: Thu, 23 Oct 2003 10:13:09 -0400 (EDT)

Sorry, I'm a little frazzled this morning, here are the relevant portions
of /etc/passwd:

SYSTEM:*:18:18:,S-1-5-18::
Administrators:*:544:544:,S-1-5-32-544::
Administrator:unused_by_nt/2000/xp:500:513:U-IBM-VNYWG3WG0KP\Administrator,S-1-5-21-1844237615-1563985344-1060284298-500:/cygdrive/c/Documents
and Settings/Administrator.IBM-NMR31UMZNAJ:/bin/bash

and /etc/group:

SYSTEM:S-1-5-18:18:
None:S-1-5-21-1844237615-1563985344-1060284298-513:513:
Administrators:S-1-5-32-544:544:

Jeremy

On Wed, 22 Oct 2003, Pierre A. Humblet wrote:

> Jeremy A Redburn wrote:
> >
> > Hi there,
> >
> > I am having permissions trouble with the latest cron on Cygwin. I am
> > running WindowsXP and have an ssh identity file owned by me:
> >
> > -rw-------    1 Administ None          672 Oct 22 16:15 identity
>
> It's not clear if the owner is Administrator or Administrators.
> Try ls -ln
>
> > The problem is that I do not seem to have read access to this file when
> > running a command under Administrator's crontab. Right now, I have:
> >
> > * * * * * /usr/bin/cat /tmp/identity > /tmp/identity2 2>&1
> >
> > But /tmp/identity2 is just:
> > /usr/bin/cat: /tmp/identity: Permission denied
> >
> > When I run the command from the shell, it works fine. I have run `id` from
> > the shell and from cron and there is a minor difference:
> >
> > uid=500(Administrator) gid=513(None) groups=544(Administrators),545(Users)
> > uid=500(Administrator) gid=513(None) groups=513(None),545(Users)
>
> That's a big difference, and it's abnormal.
> Some name aliasing might be taking place.
> What does fgrep Administrator /etc/passwd give? You will need to provide
> more details, see http://cygwin.com/problems.html
>
> The workaround suggested by Brian Ford might work, but there is still
> an underlying problem.
>
> Pierre
>

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/